/***
*		DurRandw.h -- ui for another tool
*		 1997,1998 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 29 Jan 97 | created
 28 Feb 98 | added realtime ccs
*/

#include <exec/types.h>
#include <intuition/intuition.h>

#include "PopUpNote.h"
#include "PopUpPipes.h"

#define MAX_CHANGE   1
#define IGNORE       2
#define MAX          3
#define MIN          4
#define POPUP_CHANGE 5
#define POPUP_IGNORE 6
#define POPUP_MAX    7
#define POPUP_MIN    8

/*** real-time controller gadgets ***/
#define C_MAX_CHANGE 10
#define C_IGNORE     11
#define C_MAX        12
#define C_MIN        13
#define DIS_CHANGE   14
#define DIS_IGNORE   15
#define DIS_MAX      16
#define DIS_MIN      17

static struct Gadget Gadget16 = {
	NULL,
	313,112,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_MIN,
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget16,
	313,102,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_MAX,
	NULL
};

static struct Gadget Gadget14 = {
	&Gadget15,
	313,92,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_IGNORE,
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	313,82,
	21,9,
	GADGHIMAGE+GADGIMAGE,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	(APTR)&DiscardRenderImage,
	(APTR)&DiscardSelectImage,
	NULL,
	NULL,
	NULL,
	DIS_CHANGE,
	NULL
};

#define CCGAD_TEXTPEN BP_RED

static struct PropInfo Gadget12SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5085,-1,
};

static struct Image Image9 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	CCGAD_TEXTPEN,0,JAM1,
	-90,0,
	NULL,
	"Min Result:",
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget13,
	104,113,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image9,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget12SInfo,
	C_MIN,
	NULL
};

static struct PropInfo Gadget11SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5085,-1,
};

static struct Image Image10 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	CCGAD_TEXTPEN,0,JAM1,
	-90,0,
	NULL,
	"Max Result:",
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	104,103,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image10,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget11SInfo,
	C_MAX,
	NULL
};

static struct PropInfo Gadget10SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5085,-1,
};

static struct Image Image11 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	CCGAD_TEXTPEN,0,JAM1,
	-58,0,
	NULL,
	"Ignore:",
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	104,93,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image11,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget10SInfo,
	C_IGNORE,
	NULL
};

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5085,-1,
};

static struct Image Image12 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	CCGAD_TEXTPEN,0,JAM1,
	-90,0,
	NULL,
	"Max Change:",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10,
	104,83,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image12,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget9SInfo,
	C_MAX_CHANGE,
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	324,52,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_MIN,
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	324,40,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_MAX,
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	324,28,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_IGNORE,
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	324,16,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_CHANGE,
	NULL
};

static struct PropInfo Gadget4SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1, //511,-1,
};

static struct Image Image17 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	2,0,JAM1,
	-90,0,
	NULL,
	"Min Result:",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	104,53,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image17,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget4SInfo,
	MIN,
	NULL
};

static struct PropInfo Gadget3SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1, //511,-1,
};

static struct Image Image18 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText6 = {
	2,0,JAM1,
	-90,0,
	NULL,
	"Max Result:",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	104,41,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image18,
	NULL,
	&IText6,
	NULL,
	(APTR)&Gadget3SInfo,
	MAX,
	NULL
};

static struct PropInfo Gadget2SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1, //511,-1,
};

static struct Image Image19 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText7 = {
	2,0,JAM1,
	-58,0,
	NULL,
	"Ignore:",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	104,29,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image19,
	NULL,
	&IText7,
	NULL,
	(APTR)&Gadget2SInfo,
	IGNORE,
	NULL
};

static struct PropInfo Gadget1SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1, //511,-1,
};

static struct Image Image20 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText8 = {
	2,0,JAM1,
	-90,0,
	NULL,
	"Max Change:",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2,
	104,17,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image20,
	NULL,
	&IText8,
	NULL,
	(APTR)&Gadget1SInfo,
	MAX_CHANGE,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText IText9b = {
	3,0,JAM1,
	19,0,
	NULL,
	"Show CC Numbers",
	NULL
};

static struct MenuItem MenuItem5 = {
	NULL,
	0,36,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText9b,
	NULL,
	'N',
	NULL,
	MENUNULL
};

static struct IntuiText IText9 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Respond to CCs",
	NULL
};

static struct MenuItem MenuItem4 = {
	&MenuItem5,
	0,28,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText9,
	NULL,
	'R',
	NULL,
	MENUNULL
};

static struct IntuiText IText10 = {
	3,0,JAM1,
	0,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem3 = {
	&MenuItem4,
	0,16,
	179,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText10,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText11 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free Sysex",
	NULL
};

static struct MenuItem MenuItem2 = {
	&MenuItem3,
	0,8,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText11,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText IText12 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use Sysex",
	NULL
};

static struct MenuItem MenuItem1 = {
	&MenuItem2,
	0,0,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText12,
	NULL,
	'U',
	NULL,
	MENUNULL
};

static struct Menu Menu1 = {
	NULL,
	0,0,
	64,0,
	MENUENABLED,
	"DurRand v1.1  1998 Michael Rees",
	&MenuItem1
};

#define MenuList1 Menu1

static struct NewWindow NewWindowStructure1 = {
	170,15,
	351,68,
	0,1,
	NEWSIZE+GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	351,68,
	351,129,
	CUSTOMSCREEN
};

#define WTITLE "DurRand"
